package org.xyzh.system;

import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

/**
 * System 服务启动类
 * 
 * @author yslg
 */
@SpringBootApplication
@EnableDubbo  // 启用 Dubbo 服务
@ComponentScan(basePackages = {
    "org.xyzh.system",         // 当前system模块
    "org.xyzh.common"          // 公共模块
})
public class SystemApp {
    private static final Logger logger = LoggerFactory.getLogger(SystemApp.class);
    public static void main(String[] args) {
        logger.info("======================== SystemApp 启动中 =========================");
        SpringApplication.run(SystemApp.class, args);
        logger.info("======================== SystemApp 启动成功 =========================");
    }
}